Name:		sshtrix
Version:	0.0.2
Release:	%mkrel 12
Summary:	A very fast multithreaded SSH login cracker
Group:		Networking/Other
License:	GPLv3+
Url:		https://nullsecurity.net/cracker.html
Source0:	https://nullsecurity.net/tools/cracker/%{name}-%{version}.tar.gz
Patch0:		sshtrix-0.0.2-cflags.patch

BuildRequires:	pkgconfig(libssh)

%description
sshtrix is a very fast multithreaded SSH login cracker. It supports
SSHv1 and SSHv2. sshtrix was designed to automate rapid brute force
attacks against SSH authentication screens. Unlike other public
tools, the aim is to keep it simple, stable, fast and modular. With
its clean code design, it is easy to extend the code to a framework
or to fork it against protocols of your choice.

%prep
%autosetup -p1

# Fix build with libssh >= 0.8
sed -e 's/ -lssh_threads//' -i Makefile

%build
%set_build_flags
%make_build %{name}

%install
mkdir -p %{buildroot}%{_bindir}
install -D -m 0755 %{name} %{buildroot}%{_bindir}/

#install man page
install -d %{buildroot}%{_mandir}/man1/
install -m 644 doc/%{name}.1 %{buildroot}%{_mandir}/man1/


%files
%doc doc/AUTHORS doc/CHANGELOG doc/README doc/TESTED doc/THANKS doc/TODO
%{_bindir}/%{name}
%{_mandir}/man*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.0.2-12.mga10
+ Revision: 2212627
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 0.0.2-11.mga9
+ Revision: 1833436
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.0.2-10.mga8
+ Revision: 1519242
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Oct 07 2018 daviddavid <daviddavid> 0.0.2-9.mga7
+ Revision: 1318499
- rebuild for new libssh 0.8.1
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Sep 20 2017 cjw <cjw> 0.0.2-7.mga7
+ Revision: 1156491
- fix debug packages

* Sun Jan 31 2016 umeabot <umeabot> 0.0.2-6.mga6
+ Revision: 929423
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.2-5.mga5
+ Revision: 742864
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.2-4.mga5
+ Revision: 689323
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.2-3.mga4
+ Revision: 518652
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.0.2-2.mga3
+ Revision: 382648
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 19 2012 juancho <juancho> 0.0.2-1.mga3
+ Revision: 296073
- imported package sshtrix

